<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>ISO Schematron rules</title>
   <!-- This file generated 2018-01-12T16:59:13Z by 'extract-isosch.xsl'. -->

   <!-- ********************* -->
   <!-- namespaces, declared: -->
   <!-- ********************* -->
   <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
   <ns prefix="rng" uri="http://relaxng.org/ns/structure/1.0"/>

   <!-- ********************* -->
   <!-- namespaces, implicit: -->
   <!-- ********************* -->
   <ns prefix="f" uri="http://www.faustedition.net/ns"/>
   <ns prefix="ge" uri="http://www.tei-c.org/ns/geneticEditions"/>
   <ns prefix="rng" uri="http://relaxng.org/ns/structure/1.0"/>

   <!-- ************ -->
   <!-- constraints: -->
   <!-- ************ -->
   <pattern id="isoschematron-constraint-faust-tei-ptr-ptrAtts-1">
      <rule context="tei:ptr">
         <report test="@target and @cRef">Only one of the
	attributes 'target' and 'cRef' may be supplied.</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-ref-refAtts-2">
      <rule context="tei:ref">
         <report test="@target and @cRef">Only one of the
	attributes 'target' and 'cRef' may be supplied.</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-relatedItem-targetorcontent1-3">
      <rule context="tei:relatedItem">
         <report test="@target and count( child::* ) &gt; 0">If the 'target' attribute is used, the
        relatedItem element must be empty</report>
         <assert test="@target or child::*">A relatedItem element should have either a 'target' attribute
        or a child element to indicate the related bibliographic item</assert>
      </rule>
   </pattern>
      
    
      
    <pattern id="isoschematron-constraint-faust-tei-s-noNestedS-6">
      <rule context="tei:s">
         <report test="tei:s">You may not nest one s element within
      another: use seg instead</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-f-fValConstraints-7">
      <rule context="tei:fVal">
        <assert test="not(tei:* and text)"> A feature value cannot
    contain both text and element content</assert>
      </rule>
      <rule context="tei:fVal">
        <report test="count(tei:*)&gt;1"> A feature value can contain
    only one child element</report>
      </rule>
    </pattern>
   <pattern id="isoschematron-constraint-faust-tei-link-linkTargets1-8">
      <rule context="tei:link">
         <report test="@target and @targets">You may not supply both 
	@target and @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-link-linkTargets2-9">
      <rule context="tei:link">
         <report test="not(@target) and not(@targets)">You must
	supply either @target or @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-link-linkTargets3-10">
      <rule context="tei:link">
         <assert test="contains(@target,' ')">You must supply at least two
values for @target</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-join-joinTargets1-11">
      <rule context="tei:join">
         <report test="@target and @targets">You may not supply both 
	@target and @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-join-joinTargets2-12">
      <rule context="tei:join">
         <report test="not(@target) and not(@targets)">You must
	supply either @target or @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-join-joinTargets3-13">
      <rule context="tei:join">
         <assert test="contains(@target,' ')">You must supply at least two
values for @target</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-alt-altTargets1-14">
      <rule context="tei:alt">
         <report test="@target and @targets">You may not supply both 
	@target and @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-alt-altTargets2-15">
      <rule context="tei:alt">
         <report test="not(@target) and not(@targets)">You must
	supply either @target or @targets</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-alt-altTargets3-16">
      <rule context="tei:alt">
         <assert test="contains(@target,' ')">You must supply at least two
values for @target</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-dimensions-duplicateDim-17">
      <rule context="tei:dimensions">
         <report test="count(tei:width)&gt; 1">
	Width element may appear once only
      </report>
         <report test="count(tei:height)&gt; 1">
	Height element may appear once only
      </report>
         <report test="count(tei:depth)&gt; 1">
	Depth element may appear once only
      </report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-msIdentifier-msId_minimal-18">
      <rule context="tei:msIdentifier">
         <report test="local-name(*[1])='idno' or                              local-name(*[1])='altIdentifier' or        .='' ">
	    You must supply either a locator of some type or a
	    name</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-app-only1lem-19">
      <rule context="tei:app">
         <assert test="count( descendant::tei:lem[ generate-id(       current() ) = generate-id( ancestor::tei:app[1] ) ]) &lt;       2">Only one &lt;lem&gt; element may appear within a single
      apparatus entry, whether it appears outside a &lt;rdgGrp&gt;
      element or within it.</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-addSpan-spanTo-20">
      <rule context="tei:addSpan">
         <assert test="@spanTo">The spanTo= attribute of <name/> is required.</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-damageSpan-spanTo-22">
      <rule context="tei:damageSpan">
         <assert test="@spanTo">The spanTo= attribute of
	<name/> is required.</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-delSpan-spanTo-24">
      <rule context="tei:delSpan">
         <assert test="@spanTo">The spanTo= attribute of <name/>
      is required.</assert>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-relation-activemutual-26">
      <rule context="tei:relation">
         <report test="@active and @mutual">Only one of the attributes
	'active' and 'mutual' may be supplied</report>
      </rule>
   </pattern>
   <pattern id="isoschematron-constraint-faust-tei-relation-activepassive-27">
      <rule context="tei:relation">
         <report test="@passive and not(@active)">the attribute 'passive'
	may be supplied only if the attribute 'active' is
	supplied</report>
      </rule>
   </pattern>
</schema>
